Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
tls_reader.h File Reference
`#include <botan/exceptn.h>`
`#include <botan/secmem.h>`
`#include <botan/loadstor.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | Botan::TLS::TLS_Data_Reader

## Namespaces
| Botan
| Botan::TLS

## Functions
template<typename T , typename Alloc >
void | Botan::TLS::append_tls_length_value (std::vector< uint8_t, Alloc > &buf, const T *vals, size_t vals_size, size_t tag_size)
template<typename T , typename Alloc , typename Alloc2 >
void | Botan::TLS::append_tls_length_value (std::vector< uint8_t, Alloc > &buf, const std::vector< T, Alloc2 > &vals, size_t tag_size)
template<typename Alloc >
void | Botan::TLS::append_tls_length_value (std::vector< uint8_t, Alloc > &buf, const std::string &str, size_t tag_size)